org.apache.synapse.securevault.secret.mbean

## Class JMXSecretsProvider

- java.lang.Object
- - org.apache.synapse.securevault.secret.mbean.JMXSecretsProvider

- All Implemented Interfaces:
    JMXSecretsProviderMBean

      public class JMXSecretsProvider
      extends Object
      implements JMXSecretsProviderMBean

  SecretsMBean implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXSecretsProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSecret(String id, String secret)` Add a secret through JMX
    `void` | `clear()` Clear all secrets
    `String` | `getSecret(String id)`
    `void` | `removeSecret(String id)` Remove a Secret for given ID

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXSecretsProvider

          public JMXSecretsProvider()

  - ### Method Detail

    - #### addSecret

          public void addSecret(String id,
                                String secret)

      Description copied from interface: `JMXSecretsProviderMBean`
      Add a secret through JMX
      Specified by:
        `addSecret` in interface `JMXSecretsProviderMBean`
      Parameters:
        `id` - identify for what this secret is
        `secret` - Secret

    - #### getSecret

          public String getSecret(String id)

    - #### removeSecret

          public void removeSecret(String id)

      Description copied from interface: `JMXSecretsProviderMBean`
      Remove a Secret for given ID
      Specified by:
        `removeSecret` in interface `JMXSecretsProviderMBean`
      Parameters:
        `id` - identify for what this secret is

    - #### clear

          public void clear()

      Description copied from interface: `JMXSecretsProviderMBean`
      Clear all secrets
      Specified by:
        `clear` in interface `JMXSecretsProviderMBean`

Copyright © 2005–2024 Apache Software Foundation. All rights reserved.